summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/dfmk10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/dfmk b/bin/dfmk
index 5588c84..3502516 100755
--- a/bin/dfmk
+++ b/bin/dfmk
@@ -7,12 +7,12 @@ if [ ${#} -eq 0 ]; then
exit 1
fi
-for repo in "${@}"; do
- if ! [ "x$(vcsh "${repo}" status --porcelain | wc -l)" = 'x0' ]; then
- printf 'Error: Repository %s has uncommited changes\n' "${repo}"
- continue
- fi
+if ! [ "x$(vcsh mr status --porcelain | wc -l)" = 'x0' ]; then
+ printf 'Error: mr repository has uncommited changes\n'
+ exit 1
+fi
+for repo in "${@}"; do
# Initialize repository
vcsh init "${repo}"
vcsh "${repo}" remote add origin "$(printf "${REPO_FMT}" "${repo}")"